public class RunCustomCompressScheme
{
    [DeclareAction("RunCompressScheme")]
    public bool UserRunCompressScheme(string SCHEMENAME, string SCHEMEFILENAME)
    {
        //Komprimierungslauf importieren und ausfhren
        //(c) NAIROLF / 2009
        //last change: 2009-03-30

        string sProject = string.Empty;        
        sProject = GetProjectName();
        //MessageBox.Show("Projekt geoeffnet: " + sProject , "RunCustomCompressScheme", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);

        string sCompressScheme = SCHEMENAME;        
        string sSchemeFileName = SCHEMEFILENAME;
        
        //Prfe, ob Projekt geffnet
        if (sProject == string.Empty)
        {
            MessageBox.Show("Es ist kein Projekt geoeffnet.", "RunCustomCompressScheme", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
            return false;
        }

        //Komprimierungsschema importieren
        string sXMLPath = new Settings().GetStringSetting("USER.SYSTEM.Pathnames.XML", 0);
        PathMap oPath = new PathMap();
        sXMLPath = oPath.Substitute(sXMLPath);

        string sXMLFileName = string.Empty;
        if (!sSchemeFileName.ToUpper().EndsWith(".XML"))
        {
            sXMLFileName = sXMLPath + "\\" + sSchemeFileName  + ".xml";
        }
        else
        {
            sXMLFileName = sXMLPath + "\\" + sSchemeFileName;
        }

        //Prfe, ob Schemadatei vorhanden
        System.IO.FileInfo oFileInfo = new System.IO.FileInfo(sXMLFileName);
        if (oFileInfo.Exists == false)
        {
            MessageBox.Show("Das angegebene Schema \n'" + sXMLFileName + "'\nexistiert nicht.", "Fehler beim Import...", MessageBoxButtons.OK, MessageBoxIcon.Error);
            return false;
        }
        else
        {
            //Schema importieren
            new CommandLineInterpreter().Execute("XSettingsImport /node:PROJECT.ProjectCleanGui /trg:\"" + sProject + "\"  /XMLFile:\"" + sXMLFileName + "\" /option:OVERWRITE");
            //Komprimierungsschema ausfhren
            new CommandLineInterpreter().Execute("compress /CONFIGSCHEME:" + sCompressScheme);

            //MessageBox.Show("Komprimierungslauf '" + sCompressScheme + "' ausgefhrt.", "Info...", MessageBoxButtons.OK, MessageBoxIcon.Information);
        }

        return true; 
     }

    public string GetProjectName()
    { 
        //Vollstndigen Projektnamen ermitteln           
        string sProject = string.Empty; 
        string strTeile = string.Empty; 
        ActionCallingContext oCtx = new ActionCallingContext();
        oCtx.AddParameter("TYPE", "PROJECT");

        new CommandLineInterpreter().Execute("selectionset" , oCtx);       
        oCtx.GetParameter("PROJECT", ref sProject);

        return sProject;       
    }
   
}